Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452090 - Wrong directory display in 7-zip archives
Summary: Wrong directory display in 7-zip archives
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: mc
Version: 10
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Jindrich Novy
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-19 09:26 UTC by lg
Modified: 2013-07-02 23:30 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-18 14:31:13 UTC


Attachments (Terms of Use)
test archive (deleted)
2008-06-19 09:26 UTC, lg
no flags Details
proposed patch (deleted)
2008-06-19 09:27 UTC, lg
no flags Details | Diff

Description lg 2008-06-19 09:26:21 UTC
Directories with files in 7-zip archives are displayed twice in mc. Additionally
directories with names in russian are displayed with ? marks

mc-4.6.2.pre1

How reproducible:
always

Steps to Reproduce:
1. install p7zip and mc
2. open 7-zip archive with subdirectories in mc

Additional info:
Due to mc bug directories should precede files in listing, created by
/usr/share/mc/extfs/u7z list command. Sorting is already applied in urar vfs.
Moreover LC_ALL is set to C instead of LC_DATE by u7z vfs.

Comment 1 lg 2008-06-19 09:26:21 UTC
Created attachment 309831 [details]
test archive

Comment 2 lg 2008-06-19 09:27:45 UTC
Created attachment 309832 [details]
proposed patch

Comment 3 Bug Zapper 2008-11-26 02:26:50 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Slava Zanko 2009-08-04 15:31:04 UTC
Fixed into mc-4.7.0-pre1

Comment 5 Bug Zapper 2009-11-18 12:35:15 UTC
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Slava Zanko 2009-11-18 13:31:07 UTC
This bug was fixed long time ago (in midnight-commander.org)
Changeset is: http://www.midnight-commander.org/changeset/9623a855068648e91e2f041426e0c8ceccf8b963
Date of fix: 01/14/09

I think, need to close this bugreport.
Jindrich (or somebody who have permissions): close this ticket, please :)

Comment 7 Jindrich Novy 2009-11-18 14:31:13 UTC
Ok, forgot to close it. Thanks for heads-up.


Note You need to log in before you can comment on or make changes to this bug.